commit:     e7525dbf87d53869f6e413444afb3f6d3a2ac364
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Thu Jul 10 19:40:57 2025 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Thu Jul 10 19:41:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e7525dbf

games-arcade/taisei: add 1.4.3

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>

 games-arcade/taisei/Manifest            |  1 +
 games-arcade/taisei/taisei-1.4.3.ebuild | 90 +++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
index f46e63e255..ae4047674d 100644
--- a/games-arcade/taisei/Manifest
+++ b/games-arcade/taisei/Manifest
@@ -1 +1,2 @@
 DIST taisei-1.4.2.tar.xz 219573092 BLAKE2B 
382e6e02013573f4218a073ad9d19cd128f0b4366d3f3f586e8ab4de9a5948ffedd13a22cefc9a8af04cccd2cf0205c9d6c738b125fd332b363606acd5938e4a
 SHA512 
81cb2e354169eac2495fe5aaf65136580240af6bfaf194b0288352a527e0d12e2e7b2eb2510f8f8cf4fc96ed3b5a66934e3d62c8b53b497e7f2cd8be962a5f98
+DIST taisei-1.4.3.tar.xz 290329696 BLAKE2B 
761d42681261baf85a45c2873f2515b28dd4e6211ee955f2e225dcc9af4f08e667ea6f51fa23f6ba9d6c96cbc79bab09d3ecb71d5b7d4b4ff82394c57294e431
 SHA512 
a9124c13fe22f3e69f36d1931ea2f951c1baacdaf0612993a2588d245728dfb9ec131e2c6c4b04c36cd42d9c8e1a488adf120ec996c0cb627acd5216aed06665

diff --git a/games-arcade/taisei/taisei-1.4.3.ebuild 
b/games-arcade/taisei/taisei-1.4.3.ebuild
new file mode 100644
index 0000000000..9cea24375b
--- /dev/null
+++ b/games-arcade/taisei/taisei-1.4.3.ebuild
@@ -0,0 +1,90 @@
+# Copyright 2019-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit meson python-any-r1 xdg
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/taisei-project/taisei.git";
+else
+       # Auto-generated tarballs lacks submodules, all of which are taisei 
subrepos
+       
SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/taisei-${PV}.tar.xz";
+       KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
+HOMEPAGE="https://taisei-project.org/";
+LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
+SLOT="0"
+
+IUSE="doc lto +mimalloc zip"
+
+RDEPEND="
+       dev-util/glslang
+       media-libs/freetype:2
+       media-libs/opusfile
+       >=media-libs/libpng-1.5
+       media-libs/libsdl3
+       media-libs/libwebp
+       media-libs/opusfile
+       app-arch/zstd
+       sys-libs/zlib
+       dev-libs/openssl:=
+       mimalloc? ( dev-libs/mimalloc:= )
+       zip? ( dev-libs/libzip )
+"
+# see: https://github.com/taisei-project/taisei/issues/381
+DEPEND="
+       ${RDEPEND}
+       >=dev-libs/cglm-0.7.8
+       !!~dev-libs/cglm-0.9.3
+"
+BDEPEND="
+       dev-build/meson
+       $(python_gen_any_dep '
+               dev-python/zstandard[${PYTHON_USEDEP}]
+       ')
+       ${PYTHON_DEPS}
+       doc? ( dev-python/docutils )"
+
+# BSD qsort_r(3) and Microsoft qsort_s(3) implicit declarations
+# https://bugs.gentoo.org/941235
+QA_CONFIG_IMPL_DECL_SKIP=(
+       qsort_r
+       qsort_s
+)
+
+python_check_deps() {
+       python_has_version "dev-python/zstandard[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+       # Path patching needed also without USE=doc (COPYING etc.)
+       sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', 
\'${PF}\')/" \
+               meson.build || die "Failed changing doc_path"
+
+       # Remove blobs
+       rm -f external/basis_universal/OpenCL/lib/*.lib \
+               external/basis_universal/webgl_videotest/basis.wasm \
+               
external/basis_universal/webgl/transcoder/build/basis_transcoder.wasm \
+               external/basis_universal/webgl/encoder/build/basis_encoder.wasm 
\
+               || die
+
+       default
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature doc docs)
+               $(meson_use lto b_lto)
+               $(meson_feature zip vfs_zip)
+               -Dallocator=$(usex mimalloc mimalloc libc)
+               -Dstrip=false
+               -Duse_libcrypto=enabled
+       )
+       meson_src_configure
+}

Reply via email to